﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Public consent As ConsentManager
	Public analytics As FirebaseAnalytics
End Sub

Sub Service_Create
	Log("Has Google services: "&CheckForGooglePlayServices)
	analytics.Initialize
	consent.Initialize("consent")
	consent.addTestDevice("31F6FB8E34815CF697C342C8AB312170")
	consent.SetDebugGeography(True)
	Log("Starter state: " & consent.ConsentState)
	Log("Starter geography:" & consent.IsRequestLocationInEeaOrUnknown)
	consent.RequestInfoUpdate(Array("pub-111111111111111"))
	Wait For consent_InfoUpdate (Success As Boolean)
	 If Success = False Then Log($"Error getting consent state: ${LastException}"$)
	If Success Then
		Log($"Consent form result: ${consent.ConsentState}"$)
	Else
		Log($"Error: ${LastException}"$)
	End If
	Log("arrived here")
	CallSubDelayed(Main,"ConsentStateAvailable")
End Sub

Sub Service_Start (StartingIntent As Intent)
	

End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Log(Error)
	Log(StackTrace)
	Return True
End Sub

Sub Service_Destroy

End Sub

Sub CheckForGooglePlayServices As Boolean
	Dim GoogleApiAvailablity As JavaObject
	GoogleApiAvailablity = GoogleApiAvailablity.InitializeStatic("com.google.android.gms.common.GoogleApiAvailability").RunMethod("getInstance", Null)
	Dim context As JavaObject
	context.InitializeContext
	If GoogleApiAvailablity.RunMethod("isGooglePlayServicesAvailable", Array(context)) <> 0 Then
		GoogleApiAvailablity.RunMethod("makeGooglePlayServicesAvailable", Array(context))
		Return False
	End If
	Return True
End Sub